
#include <Servo.h>
Servo myservo;
boolean LED1Status = false;
boolean LED2Status = false;

void setup() {

  pinMode (A1, INPUT); // This code line defines the photoresistor (connected to the A1 pin) as an input.
  myservo.attach (9); // The servo motor is attached to the pin 9.
  pinMode (A2, INPUT); // This code line defines the sound sensor (connected to the A2 pin) as an input.
  pinMode (2, OUTPUT); // This code lines define both LEDs (connected to the 2 and 4 pins) as an input.
  pinMode (4, OUTPUT);
  Serial.begin (9600); // The serial.begin stablishes a channel to comunicate with the serial monitor of the program, and we use it to check the lecures of the sensors.
}

void loop() {

  int sound = analogRead(A2); //"Sound" refers to the information provided by the sound sensor.
  Serial.println(sound); // The information collected by the sound sensor will be shown on the serial monitor.
  if (sound > 52) { // When the value of "sound" is bigger than 52, both LEDs turn on, while it isn't, they are both off.
    Serial.println (sound);
    digitalWrite(2, HIGH); // Both LEDs turn on.
    digitalWrite(4, HIGH);
  }
  else {
    digitalWrite(2, LOW); // Both LEDs turn off.
    digitalWrite(4, LOW);
  }

  int light = analogRead(A1); //"Light" refers to the information provided by the photoresistor.
  light = map(light, 0, 1023, 0, 255);
  if (light > 18) { // When the lights are off, the servo turns the pumpkin 90 degrees, when the lights of the room are on, the jack-o'-lantern goes back to it's original position.
    myservo.write (0); // Servo motor stays in 0 degree position.
    delay(240);
    Serial.println (light); // The information collected by the photoresistor will be shown on the serial monitor.
  } else {
    myservo.write (90); // Servo motor turns to 90 degrees position.
    delay(240);
  }
}
